/* 
  AUTOGENERATED FILE
  Run "npm run generateARMClients" to regenerate
  Edting this file directly should be done with extreme caution as not to diverge from ARM REST specs

  Generated from: https://raw.githubusercontent.com/Azure/azure-rest-api-specs/master/specification/cosmos-db/resource-manager/Microsoft.DocumentDB/stable/2021-04-15/notebook.json
*/

import { ARMResourceProperties } from "../cosmos/types";

/* Parameters to create a notebook workspace resource */
export type NotebookWorkspaceCreateUpdateParameters = unknown;

/* A list of notebook workspace resources */
export interface NotebookWorkspaceListResult {
  /* Array of notebook workspace resources */
  value?: NotebookWorkspace[];
}

/* A notebook workspace resource */
export type NotebookWorkspace = ARMResourceProperties & {
  /* Resource properties. */
  properties?: NotebookWorkspaceProperties;
};

/* Properties of a notebook workspace resource. */
export interface NotebookWorkspaceProperties {
  /* Specifies the endpoint of Notebook server. */
  readonly notebookServerEndpoint?: string;
  /* Status of the notebook workspace. Possible values are: Creating, Online, Deleting, Failed, Updating. */
  readonly status?: string;
}

/* The connection info for the given notebook workspace */
export interface NotebookWorkspaceConnectionInfoResult {
  /* Specifies auth token used for connecting to Notebook server (uses token-based auth). */
  readonly authToken?: string;
  /* Specifies the endpoint of Notebook server. */
  readonly notebookServerEndpoint?: string;
}
